CREATE TABLE dictionaries(
    id INTEGER PRIMARY KEY,
    name TEXT,
    selected INTEGER DEFAULT 1,
    position INTEGER
);

CREATE TABLE entries(
    id INTEGER PRIMARY KEY,
    dictionary_id INTEGER
);

CREATE TABLE kanji(
    id INTEGER PRIMARY KEY,
    entry_id INTEGER,
    kanji TEXT
);

CREATE TABLE kana_readings(
    id INTEGER PRIMARY KEY,
    entry_id INTEGER,
    kana_reading TEXT
);

CREATE TABLE translations(
    id INTEGER PRIMARY KEY,
    entry_id INTEGER,
    sense_number INTEGER,
    language TEXT,
    translation TEXT
);

CREATE TABLE metadata_names(
    id INTEGER PRIMARY KEY,
    metadata_of TEXT,
    name TEXT
);

CREATE TABLE metadata_values(
    id INTEGER PRIMARY KEY,
    metadata_name_id INTEGER,
    metadata_value TEXT
);

CREATE TABLE config(
    name TEXT PRIMARY KEY,
    type TEXT,
    value TEXT
);

